
// 一级行业select控件初始化	 
var firstIndSelect = $('select[name="firstInd"]').select2({
	placeholder: "请输入一级行业",
	allowClear: true,
	width:'286px',
	ajax:{
		url:_PUBLIC_ +'ad-select/top_category_by_type.do',
		dataType:'json',
		quietMillis:100,
		data:function(params){
			return {
				name : params.term,
				type : 0, //产品管理
				pageNo : params.page || 1,
				pageSize : 20
			}
		},
		processResults: function (data, params) {
			params.page = params.page || 1;
			return {
		        results: data.results,
		        pagination: {
		          more: (params.page * 20) < data.total,
		        }
		    };
		},
		cache: true
	}
});
	
//解绑二级行业select控件初始化
$('select[name="firstInd"]').live('change',function(){
	$('select[name="secondInd"]').html('<option value=""></option>');
});
		
// 二级行业select控件初始化	 
var secondIndSelect = $('select[name="secondInd"]').select2({
	placeholder: "请输入二级行业",
	allowClear: true,
	width:'286px',
	ajax:{
		url: _PUBLIC_ +'ad-select/second_category_by_type.do',
		dataType:'json',
		quietMillis:100,
		data:function(params){
			return {
				name : params.term,
				type : 0, //产品管理
				parentName : $('#firstInd').val(), 
				pageNo : params.page || 1,
				pageSize : 20
			}
		},
		processResults: function (data, params) {
			params.page = params.page || 1;
			return {
		        results: data.results,
		        pagination: {
		          more: (params.page * 20) < data.total
		        }
		    };
		},
		cache: true
	}
});

// 获取表格数据
function getList(page){
	page = page || 1;
	var pageSize = 10, data = {
		"productName" : $("#productName").val(),
		"brandName" : $("#brandName").val(),
		"firstInd" : $("#firstInd").val(),
		"secondInd" : $("#secondInd").val(),
		"pageNo" : page,
	    "pageSize" : pageSize
	}, html = "";
		
	$("#page, #list").empty();
	ajax("ajax_list.do", data, function(res){
		if (res.code == 1 && res.list.records.length > 0){
			$.each(res.list.records, function(index, item){
				html += '<tr>'+
					'<td><input type="checkbox" class="checkbox {click:itemCheck}" name="chk" value="'+item.id+'" /><label></label></td>'+
					'<td>'+ (item.productName == undefined || item.productName == null ? '' : item.productName)+'</td>'+
    				'<td class="nop">'+(item.nameImgUrl ? '<img class="smallImg" src="'+item.nameImgUrl.toNull()+'" width="98" height="58" valign="middle" onClick="imgClick('+index+')" onerror="this.src=_PUBLIC_ + \'static/img/noimg.jpg\'"/>':'&nbsp;')+'<img class="bigImg left" src="'+(item.nameImgUrl ? item.nameImgUrl.toNull(): '')+'" width="300" valign="middle" onerror="this.src=_PUBLIC_ + \'static/img/noimg.jpg\'"/>'+'</td>'+
					'<td>'+ (item.brandName == undefined || item.brandName == null ? '' : item.brandName)+'</td>'+
					'<td>'+ (item.firstInd == undefined || item.firstInd == null ? '' : item.firstInd ) +'</td>'+
    				'<td>'+ (item.secondInd == undefined || item.secondInd == null ? '' : item.secondInd ) +'</td>'+
					'<td class="edit">'+
    					(update_flag == 1 ? '<a href="javascript:platformModfiy(\'edit\',\'产品信息\','+item.id+');">编辑</a>&nbsp;&nbsp;' : '') +
    					(delete_flag == 1 ? '<a href="javascript:delRecord('+item.id+');">删除</a>' : '' ) +
					'</td>'+
				'</tr>';
			});
			$("#list").html(html);
			$.checkbox();
			$("#count").text(res.list.total);
			var newpage = new createPage(res.list.total, page, pageSize, 3);
			$("#page").html(newpage.pageHtml);
		} else {
			$("#list").info("暂无数据。");
			$("#count").text(0);
		}
	});
}
pageGo = function(page){
	resetCheckAll();
	getList(page);
}

// 删除单个
function delRecord(id){
	confirm("确定删除该条记录吗？", function(){
        ajax("del.do", {"id" : id}, function(res){
            if (res.code == 1){
    			alert("删除成功。", 1, function(){
    				window.location.href = "index.do";
    			});
            } else {
            	alert(res.msg);
            }
        });
	});
}

// 删除多个
function delRecordBatch(){
	var arr = document.getElementsByName("chk");
	var ids = "";
	for (i=0; i<arr.length; i++){
		if (arr[i].checked){
			ids += ("," + arr[i].value);
		}
	}
	if (ids.isEmpty()){
		alert("请至少选择一条记录");
		return false;
	}
	confirm("确定删除这些记录吗？", function(){
        ajax("batch_del.do", {"ids" : ids.substring(1,ids.length)}, function(res){
            if (res.code == 1){
    			alert("删除成功。", 1, function(){
    				window.location.href = "index.do";
    			});
            } else {
            	alert(res.msg);
            }
        });
	});
}
// 导入表格数据
function importExcel(obj){
    $("#fileForm").submit();
}

// 导入结果
function excelCallback(code, msg) {
    if (code == 1) {
        // 导入成功
    	alert("导入成功。", 1, function(){
			window.location.href = "index.do";
		});
    } else {
    	// 导入失败
    	alert(msg, 0, function(){
        	location.reload();
		});
    }
}

// 保存品牌型号信息
function save(){
	// 得到数据
    var data = $('#dataForm').serializeJSON();
    data.id = $.getParam("id");
    data.nameImgUrl = $("#imgUrl")[0].currentSrc;
    // 数据是否完整
    if (data['productName'].isEmpty()){
    	top.alert("请填写产品名称", 0, function(){
            $("input[name='productName']").focus();
        });
        return false;
    }
    if (data['firstInd'].isEmpty()){
    	top.alert("请选择一级行业");
        return false;
    }
    if (data['secondInd'].isEmpty()){
    	top.alert("请选择二级行业");
        return false;
    }
    // 提交数据
    top.ajax("save.do", data, function(res){
        if (res.code == 1){
            top.alert("保存成功。", 1, function(){
            	top.getList(1);
            	top.$.closeWindow();
            });
        } else {
            top.alert(res.msg);
        }
    });
}

// 弹窗
function platformModfiy(act, title, id){
	title = title || "";
	id = id || "";
	$.openWindow(act.decode("add","新增","edit","修改","")+title, "detail.do?id="+id, 500, 470, true);
}
//显示大图
function imgClick(index){
	$('.bigImg:not(:eq('+index+'))').removeClass('block');
    $('.bigImg:eq('+index+')').toggleClass('block');	
}
$(document).click(function(e){ 
    var bigImg = $('.bigImg');
	var smallImg = $('.smallImg');
    if((!bigImg.is(e.target) && bigImg.has(e.target).length === 0)&&(!smallImg.is(e.target) && smallImg.has(e.target).length === 0)){ // 这句很关键
       $('.bigImg').removeClass('block');
    }
});